cascading.scheme

## Interface SinkCall<Context,Output>

- Type Parameters:
    `Context` -
    `Output` -
  All Known Implementing Classes:
    ConcreteCall

      public interface SinkCall<Context,Output>

  SinkCall provides access to the current `Scheme.sink(cascading.flow.FlowProcess, SinkCall)` invocation arguments.

  Use the Context to store thread local values.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Context` | `getContext()` Method getContext returns the context of this SinkCall object.
    `TupleEntry` | `getOutgoingEntry()` Method getOutgoingEntry returns the final `TupleEntry` to be passed to the `getOutput()` output handler.
    `Output` | `getOutput()`
    `void` | `setContext(Context context)` Method setContext sets the context of this SinkCall object.

- - ### Method Detail

    - #### getContext

          Context getContext()

      Method getContext returns the context of this SinkCall object.
      Returns:
        the context (type C) of this SinkCall object.

    - #### setContext

          void setContext(Context context)

      Method setContext sets the context of this SinkCall object.
      Parameters:
        `context` - the context of this SinkCall object.

    - #### getOutgoingEntry

          TupleEntry getOutgoingEntry()

      Method getOutgoingEntry returns the final `TupleEntry` to be passed to the `getOutput()` output handler.

      That is, the result of calling getOutgoingEntry() should be passed directly to the platform specific output handler returned by getOutput().

      Note the returned value from this method cannot be modified.
      Returns:
        TupleEntry

    - #### getOutput

          Output getOutput()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.